using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("一般任务分析人员表")]
    public class T_HM_ORDINARY_ANALYSIS_PERSON : MesEntityBase
    {
        [Description("一般任务分析表ID")]
        [DataFieldForeignKey("Nav_OrdinaryTaskAnalysis", "Nav_OrdinaryAnalysisPerson")]
        public Guid ORDINARY_TASK_ANALYSIS_ID { get; set; }

        [Description("导航属性：一般任务分析表")]
        public virtual T_HM_ORDINARY_TASK_ANALYSIS Nav_OrdinaryTaskAnalysis { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("处理状态")]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }

        [Description("第一顺序识别人")]
        public bool IS_FIRST { get; set; }
    }
}
